> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account

> Retrieve the details of a specific virtual account by its reference.

Retrieve the details of a specific virtual account by its reference.

## Endpoint

```
GET /api/v1/business/virtualaccount/reference
```

**Signature required:** Yes

## Headers

| Header                       | Required | Description                                                                                                                                                                    |
| ---------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Numero-Api-Key`           | Yes      | Your API key                                                                                                                                                                   |
| `X-Numero-Signature`         | Yes      | Base64 HMAC-SHA256 over the exact raw request body (POST) or the canonicalised query string (GET), keyed with your **Public Key**. See [Request signing](/03-request-signing). |
| `X-Numero-Signature-Version` | Yes      | Always `v2`.                                                                                                                                                                   |

## Query parameters

| Parameter   | Type   | Required | Description                   |
| ----------- | ------ | -------- | ----------------------------- |
| `reference` | string | Yes      | The virtual account reference |

## Request example

```bash theme={null}
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/virtualaccount/reference?reference=VA-20240115-abc123" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2"
```

## Response

```json theme={null}
{
  "data": {
    "reference": "VA-20240115-abc123",
    "accountName": "John Doe",
    "accountNumber": "8012345678",
    "bankName": "Providus Bank",
    "providerCode": "PROVIDUS",
    "details": {
      "businessName": null,
      "category": "Individual",
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "phone": "08012345678",
      "rcNumber": null,
      "tin": null,
      "type": "Customer"
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

| Field                  | Type   | Description                                |
| ---------------------- | ------ | ------------------------------------------ |
| `details.type`         | string | `"Customer"` or `"Business"`               |
| `details.category`     | string | Account category                           |
| `details.businessName` | string | Business name (for business accounts only) |
| `details.rcNumber`     | string | RC number (for business accounts only)     |
